Subject: bug#57976: 29.0.50; Complex emoji have extra spacing

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 21 Sep 2022 12:30:44 +0200

Protesilaos Stavrou <[email-masked]> writes:

> With a recent build of Emacs and harfbuzz version 5.2.0 all the complex
> emoji have extra spacing after them.  This space is present everywhere
> the affected emoji is displayed.  One example is the interface of the
> command 'emoji-search'.
>
> Steps to reproduce the attached screenshot on 'emacs -Q':
>
> - Type 'C-x 8 e s'
> - Type "face" and then TAB twice to bring up the Completions' buffer.

[...]

> In GNU Emacs 29.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version
>  3.24.34, cairo version 1.17.6) of 2022-09-21 built on kronos
> Repository revision: 1231a601ebe1fd9fe454c504dbeb9267440242e7
> Repository branch: makepkg
> System Description: Arch Linux

I don't see this with:

In GNU Emacs 29.0.50 (build 61, x86_64-pc-linux-gnu, GTK+ Version
 3.24.33, cairo version 1.16.0) of 2022-09-16 built on joga
Repository revision: 7d39453fd64e355526291b0ca5672e838de5fb58
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Ubuntu 22.04.1 LTS

This is with an earlier version of harfbuzz, though.

libharfbuzz-dev/jammy-updates,jammy-security,now 2.7.4-1ubuntu3.1